package com.chenyang.druid.sql.ast.statement;

import com.chenyang.druid.sql.ast.SQLExpr;
import com.chenyang.druid.sql.ast.SQLObjectImpl;
import com.chenyang.druid.sql.visitor.SQLASTVisitor;

public class SQLAlterCharacter extends SQLObjectImpl implements SQLAlterTableItem {
   private SQLExpr characterSet;
   private SQLExpr collate;

   public void accept0(SQLASTVisitor visitor) {
      if (visitor.visit(this)) {
         this.acceptChild(visitor, this.characterSet);
         this.acceptChild(visitor, this.collate);
      }

      visitor.endVisit(this);
   }

   public SQLExpr getCharacterSet() {
      return this.characterSet;
   }

   public void setCharacterSet(SQLExpr characterSet) {
      this.characterSet = characterSet;
   }

   public SQLExpr getCollate() {
      return this.collate;
   }

   public void setCollate(SQLExpr collate) {
      this.collate = collate;
   }
}
